Index: common.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/common.c,v
retrieving revision 1.93
diff -c -r1.93 common.c
*** common.c	30 Oct 2004 23:10:50 -0000	1.93
--- common.c	1 Nov 2004 18:24:38 -0000
***************
*** 307,315 ****
  }

  void
! setup_cancel_handler(void)
  {
  	InitializeCriticalSection(&cancelConnLock);
  	SetConsoleCtrlHandler(consoleHandler, TRUE);
  }

--- 307,320 ----
  }

  void
! setup_win32_locks(void)
  {
  	InitializeCriticalSection(&cancelConnLock);
+ }
+
+ void
+ setup_cancel_handler(void)
+ {
  	SetConsoleCtrlHandler(consoleHandler, TRUE);
  }

Index: common.h
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/common.h,v
retrieving revision 1.40
diff -c -r1.40 common.h
*** common.h	30 Oct 2004 23:10:50 -0000	1.40
--- common.h	1 Nov 2004 18:24:49 -0000
***************
*** 49,54 ****
--- 49,55 ----
  #ifndef WIN32
  extern void handle_sigint(SIGNAL_ARGS);
  #else
+ extern void setup_win32_locks(void);
  extern void setup_cancel_handler(void);
  #endif

Index: startup.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/startup.c,v
retrieving revision 1.104
diff -c -r1.104 startup.c
*** startup.c	16 Oct 2004 03:10:16 -0000	1.104
--- startup.c	1 Nov 2004 18:25:05 -0000
***************
*** 121,126 ****
--- 121,127 ----

  #ifdef WIN32
  	setvbuf(stderr, NULL, _IONBF, 0);
+ 	setup_win32_locks();
  #endif
  	pset.cur_cmd_source = stdin;
  	pset.cur_cmd_interactive = false;
